<?php
require("../config/config.php");
require(CHEMIN."inc/inc-functions.php");
require(CHEMIN."inc/inc-display-functions.php");
require(CHEMIN."inc/classe_xml.php");
$xml=new classe_xml(CHEMIN."config/structure_page.xml");

if(isset($_GET['page_edit'])){ 
    // traitement de la page
    $url=$_GET['page_edit'];

    if($url=="new"){ 
        $retour=$xml->traiter_formulaire(false);
        $nom_page=$xml->stripAccents($xml->get('titre')).".xml";
        $xml->fichier_seul=$nom_page;
        $xml->fichier = CHEMIN.DOSSIER_CUSTOM.$nom_page;
        $xml->ecrit_xml();
        echo "<div class='m-2'><div class=\"alert alert-success\" role=\"alert\"><a href='".URL."'>Rechargez pour faire apparaitre la page</a></div>.</div>"; 
        display_page($xml->get_contenu_simple(),$xml->fichier);
    } else {
        $xml->lire_xml($url);
        $retour=$xml->traiter_formulaire(true);
        if($retour=="delete"){
            echo "delete";
        } else {
            $page=contenu_xml($url);
            display_page($page,$url); 
        }
    }

} else if(isset($_GET['page'])){
    // affichage de la page
    if($_GET['page']=="new"){

        $action=array(
            "titre"=>"Ajouter une page",
            "action"=>"ajouter_page", 
            "submit"=>"Ajouter"
        );
        echo $xml->deployer_formulaire($action);
        echo "<script>init_ajax_submit_page('".$_GET['page']."')</script>";

    } else {

        $action=array(
            "titre"=>"Editer une page",
            "action"=>"editer_page", 
            "submit"=>"Modifier",
            "delete"=>"oui"
        );
        $xml->lire_xml($_GET['page']);
        echo $xml->deployer_formulaire($action);
        echo "<script>init_ajax_submit_page('".$_GET['page']."')</script>";
    }
}
?>